- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
STOFFHeaderFooter Class Reference

a class which stores the header/footer More...

`#include <STOFFPageSpan.hxx>`

## Public Types
enum | Type { R_Left =0, R_Center, R_Right, R_All }
| the different type More...

## Public Member Functions
| STOFFHeaderFooter ()
| constructor More...
| ~STOFFHeaderFooter ()
| destructor More...
bool | operator== (STOFFHeaderFooter const &headerFooter) const
| operator== More...
bool | operator!= (STOFFHeaderFooter const &headerFooter) const
| operator!= More...
void | send (STOFFListener *listener, bool header) const
| send to header to the listener More...

## Public Attributes
STOFFSubDocumentPtr | m_subDocument [4]
| the document data: left, center, right, all More...

## Detailed Description

a class which stores the header/footer

## Member Enumeration Documentation

enum STOFFHeaderFooter::Type

the different type

Enumerator
R_Left |
R_Center |
R_Right |
R_All |

## Constructor & Destructor Documentation

STOFFHeaderFooter::STOFFHeaderFooter | ( |  | ) |
| inline

constructor

STOFFHeaderFooter::~STOFFHeaderFooter | ( |  | ) |
| inline

destructor

## Member Function Documentation

bool STOFFHeaderFooter::operator!= | ( | STOFFHeaderFooter const & | headerFooter | ) | const
| inline

operator!=

bool STOFFHeaderFooter::operator== | ( | STOFFHeaderFooter const & | headerFooter | ) | const

operator==

Referenced by operator!=(), STOFFPageSpan::operator!=(), and ~STOFFHeaderFooter().

void STOFFHeaderFooter::send | ( | STOFFListener * | listener,
|  | bool | header
| ) |  | const

send to header to the listener

Referenced by operator!=().

## Member Data Documentation

STOFFSubDocumentPtr STOFFHeaderFooter::m_subDocument[4]

the document data: left, center, right, all

Referenced by StarPageAttribute::StarPAttributePageHF::addTo(), operator==(), and send().

The documentation for this class was generated from the following files:

- STOFFPageSpan.hxx
- STOFFPageSpan.cxx